package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.apache.commons.lang.StringUtils;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.PtovtaAntifraude;

public class RenderPtovtaAntifraude implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		PtovtaAntifraude ptoVta = (PtovtaAntifraude) o;

        Listcell lc = new Listcell(ptoVta.getEmpresa() == null ? " - " : ptoVta.getEmpresa().getNombempresa());
        lc.setParent(lstm);

        lc = new Listcell(StringUtils.isNotBlank(ptoVta.getChave()) ? ptoVta.getChave() : "");
        lc.setParent(lstm);

        lstm.setAttribute("data", ptoVta);
	}

}
